Skip to Content

PATCH Shipments

Gebruik dit endpoint om bestaande shipments bij te werken.

Gebruikersniveau: Gevorderd

Endpoint

PATCH /v1/{scopeId}/shipments/{id}
EigenschapWaarde
MethodPATCH
Scope IDBranch UUID
AuthenticatieAuthorization: Bearer <access_token>
Vereiste scoperoutix:shipments:write
Content-Typeapplication/json
Request bodyJSON object

Update-regels

  • De API controleert server-side of het record binnen de toegestane organization en branch valt.
  • Alleen expliciet toegestane velden mogen worden bijgewerkt.
  • Onbekende of niet-toegestane velden geven 400 invalid_update.

Toegestane updatevelden

Veld
account_id
order_id
trip_id
status
total_weight_kg
total_volume_m3

Voorbeeldrequest

curl -X PATCH "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/shipments/4b21ab6b-0a08-4a17-a8f2-1b7cb7b4cf0f" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "status": "planned", "total_weight_kg": 1240 }'

Voorbeeldresponse

{ "data": { "id": "4b21ab6b-0a08-4a17-a8f2-1b7cb7b4cf0f", "account_id": "7ecf4b8d-8d1f-4a0f-8e57-6d8f14c6a221", "order_id": "0ea1dd6b-3a97-4284-a2b1-6c0f80a9ec39", "trip_id": "8c6f6b38-c46c-486d-9ee6-0b2ec458f3f1", "status": "planned", "total_weight_kg": 1240, "total_volume_m3": 5.4 }, "version": "v1" }

Foutresponse

{ "error": "invalid_update", "error_description": "One or more fields are not allowed for updates on shipments" }

Mogelijke foutcodes

  • 400 invalid_request
  • 400 invalid_update
  • 401 unauthorized
  • 401 invalid_token
  • 403 invalid_token_type
  • 403 insufficient_scope
  • 404 not_found
  • 405 method_not_allowed

Gerelateerde pagina’s

  • Shipments GET
  • API calls en voorbeelden
  • Setup guide
Last updated on